%define srcname fvwm

Name:           fvwm2
Version:        2.6.1
Release:        %mkrel 2
Summary:        An improved version of the FVWM X-based window manager
License:        GPLv2+
Group:          Graphical desktop/FVWM based

URL:            http://www.fvwm.org/
Source0:        ftp://ftp.fvwm.org/pub/fvwm/version-2/%{srcname}-%{version}.tar.bz2
#vintage logo
Source1:        fvwm2.png
#default system config file searched by fvwm2
Source2:        system.fvwm2rc
#a worked out example, defining menu, buttons... called from the
#system.fvwm2rc
Source3:        fvwm2rc.mga
# removed from spec and put into a separate file
Source4:        09fvwm2

Patch0:         fvwm-2.5.26-translucent-menus.diff
Patch1:         fvwm-2.5.26-fix-str-fmt.patch

BuildRequires:  flex
BuildRequires:  libx11-devel
BuildRequires:  libxt-devel
BuildRequires:  libxft-devel
BuildRequires:  libxpm-devel
BuildRequires:  libpng-devel
BuildRequires:  libreadline-devel
BuildRequires:  libtermcap-devel
BuildRequires:  libfribidi-devel
BuildRequires:  libstroke-devel
BuildRequires:  librsvg-devel
BuildRequires:  libxinerama-devel

# for fvwm-bug
Requires:       sendmail-command
# for fvwm-menu-headlines
Requires:       desktop-common-data
# for fvwm-menu-xlock
Requires:       xlockmore
# for doing something
Requires:       xterm
# for having something
Requires:       xclock
# for iconification and wallpaper
Requires:       xwd
Requires:       imagemagick
# for mimeinfo
Requires:       perl-File-MimeInfo
# for compositing (enhancement only)
Suggests:       xcompmgr
Suggests:       transset-df


%description

FVWM2 (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is an extremely powerful ICCCM-compliant
multiple virtual desktop window manager for the X Window system. It is
designed to minimize memory consumption while being highly
customizable.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p0 -b .translucent
%patch1 -p0 -b .str

%build
%configure2_5x \
    --disable-gtk \
    --libexecdir=%{_libdir}/X11/fvwm2 \
    --sysconfdir=%{_sysconfdir}/X11/fvwm2 \
    --with-imagepath=%{_datadir}/icons
%make LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

%install
rm -rf %{buildroot}
%{makeinstall_std} LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/%{name}/system.fvwm2rc
install -D -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/%{name}/fvwm2rc.mga
install -D -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/X11/wmsession.d/09fvwm2

# OT fvwm is fvwm1
# CR was on mandriva, but still cool
rm -f %{buildroot}%{_bindir}/fvwm2
mv %{buildroot}%{_bindir}/fvwm %{buildroot}%{_bindir}/fvwm2

%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-,root,root)
%doc INSTALL README AUTHORS INSTALL.fvwm NEWS ChangeLog docs
%config(noreplace) %{_sysconfdir}/X11/fvwm2
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/09fvwm2
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/fvwm
%{_libdir}/X11/fvwm2
%{_iconsdir}/%{name}.png

%clean
rm -rf %{buildroot}



%changelog
* Sun May 15 2011 pterjan <pterjan> 2.6.1-2.mga1
+ Revision: 98982
- Rebuild for fixed find-requires

* Tue Apr 19 2011 eatdirt <eatdirt> 2.6.1-1.mga1
+ Revision: 88135
- new version 2.6.1

* Wed Apr 13 2011 obgr_seneca <obgr_seneca> 2.5.31-1.mga1
+ Revision: 84416
- imported package fvwm2


* Fri Apr 12 2011 Chris Ringeval <dirteat@gmail.com> 2.5.31-1mga1
- Upgraded to 2.5.31
- Configuration file modified (configuration replaced by fvwm2rc.example)
- Added dependencies to xwd
- Suggests xcompmgr, transset for simple compositing
- Removed dependency to rplay
- Python xdg menu generation replaced by PipeRead (fvwm2rc.example)
- Old patches removed

* Fri Sep 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.5.26-2mdv2010.0
+ Revision: 437611
- rebuild

* Sat Apr 04 2009 Funda Wang <fundawang@mandriva.org> 2.5.26-1mdv2009.1
+ Revision: 363986
- fix str fmt
- rediff translucent menu patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Aug 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.5.26-1mdv2009.0
+ Revision: 264127
- clean up a couple of variables
- buildrequires librsvg-devel and libxinerama-devel to enable these functions
  (thanks Fedora)
- drop the GTK+ 1.2 buildrequire (and hence the old and useless GTK+ 1.2 module)
- add several requires (thanks Fedora)
- new license policy
- sync patches with Fedora: add xdg-open.patch, mimeopen.patch and menu-generate.patch
- update to latest translucent-menus.diff from Gentoo
- add fvwm-xdg-menu.py as a source (from Fedora, needed for a Fedora patch)
- reorder sources
- fix indentations
- get rid of some bogus requires and provides (thanks Fedora)
- remove some unnecessary %%defines
- new release 2.5.26

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.21-4mdv2009.0
+ Revision: 245567
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 2.5.21-2mdv2008.1
+ Revision: 187612
- rebuild for 2008.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.21-1mdv2008.0
+ Revision: 29904
- new version


* Thu Jan 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.18-4mdv2007.0
+ Revision: 110130
- revert to previous setup, with distinct configuration and menu files included from main configuration file

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.18-3mdv2007.1
+ Revision: 94775
- bump release
- buildrequires libxft-devel

* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.18-2mdv2007.1
+ Revision: 92250
- return of the translucent menu patch

* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.18-1mdv2007.1
+ Revision: 88337
- new version
  drop transclucy patch (merged upstream)

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.10-9mdv2007.1
+ Revision: 84723
- new release
- fix buildrequires name
- bump release
- fix buildrequires
- bump release
- removed unused macros
- unused anymore
- move icons into a distinct source package, as they are distributed separatly
- fix menus
- no more need for the cursor hack
- add icon in wmsession script
- switch to new menu conversion system
- no need for menu entries
- patch is now uncompressed
- use a single configuration file, as twm
- uncompressed all additional sources
- icons are now generated with convert
- revert previous change, seems this menu template is needed after all
- don't ship default menu, let's use standard menu system
- unused anymore
- convert old menu to new xdg menu
  fix old menu to use png icons
  use fvwm2 icons set
- drop old obsoletes
- %%{1}mdv2007.1
- spec cleanup
- fix prefix
- fix buildrequires
- Import fvwm2

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.10-5mdk
- rebuild for new readline

* Sun Jul 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-4mdk
- From Philippe Reynes <trem@zarb.org> 
    - fix the compilation problem

* Sun Jun 13 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-3mdk
- Fix missing binary (Thanks Gregoire Favre <Gregoire.Favre@freesurf.ch>)

* Fri Jun 11 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-2mdk
- apply transparency patch0 (ask by Yves Brissaud)

* Fri Jun 11 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-1mdk
- 2.5.10

* Fri Apr 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.18-1mdk
- 2.4.18
